ViaThinkSoft thinkBug  thinkBug v0.14.10 beta - Build 2022-05-02
<< Zurück zur Projektauswahl | Projekt "Server-Anfragen mittels Client-Challenges / Server requests using client challenges" - im Besucher-Modus


<< Vorheriger EintragBUG#0000214Nächster Eintrag >>
Bugreport: Composer does not work!
Text / Beschreibung:

Problem 1: This does not work:

$ composer require "danielmarschall/php_clientchallenge"

Error message: "Could not find a version of package danielmarschall/php_clientchallenge matching your minimum-stability (stable). Require it with an explicit version constraint allowing its desired stability."

I have to create composer.json directly:

[code]{
"require": {
"danielmarschall/php_clientchallenge": "*@dev"
}
}[/code]

But now I get a different error:

$ composer update

Error message:

[b]Your requirements could not be resolved to an installable set of packages.

Problem 1
- danielmarschall/php_clientchallenge dev-master requires n-other/php-sha3 *@dev -> found n-other/php-sha3[dev-master] but it does not match your minimum-stability.
- Root composer.json requires danielmarschall/php_clientchallenge *@dev -> satisfiable by danielmarschall/php_clientchallenge[dev-master].[/b]



Daniel Marschall
Kooperierender Projektleiter

Insgesamt 1 Antwort(en) vorhanden.
Not a bug.

You had to set

"minimum-stability": "dev"

in composer.json (root)


Daniel Marschall
Kooperierender Projektleiter




thinkBug © 2004 - 2022 ViaThinkSoft
thinkBug Logo © 2008 taccon software project
thinkBug v0.14.10 beta - Build 2022-05-02